# Class ShapeStyle

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.ShapeStyle

All Implemented Interfaces:
  `Style`

@Equality public class ShapeStyle extends Object implements Style
Style that combines information from a ShapeForm and a ShapeMode.

Since:
  18 Feb 2013
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`ShapeStyle(Outliner outliner, Stamper stamper)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Icon`
`getLegendIcon()`
Returns an icon suitable for displaying in a legend for this style.
`Outliner`
`getOutliner()`
Returns the outline shape of this style.
`Stamper`
`getStamper()`
Returns the colouring for this style.
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ShapeStyle

public ShapeStyle(Outliner outliner, Stamper stamper)
Constructor.

Parameters:
  `outliner` - outline shape of markers
  `stamper` - colouring for markers

## Method Details

### getOutliner

public Outliner getOutliner()
Returns the outline shape of this style.

Returns:
  outline shape

### getStamper

public Stamper getStamper()
Returns the colouring for this style.

Returns:
  colour stamper

### getLegendIcon

public Icon getLegendIcon()
Description copied from interface: `Style`
Returns an icon suitable for displaying in a legend for this style.

Specified by:
  `getLegendIcon` in interface `Style`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`